using System.Windows;

namespace FSI.BT.Tools.Commands
{
    /// <summary>
    /// Shows the main window.
    /// </summary>
    public class LoginCommand : CommandBase<LoginCommand>
    {
        public override void Execute(object parameter)
        {
            Lib.Guis.AutoPw.FrmMain frmMain = new()
            {
                CloseAtLostFocus = false,
                WindowStartupLocation = WindowStartupLocation.CenterOwner,
            };
            frmMain.ShowDialog();
            
            Global.UserRights = 
            Global.AdminRights = frmMain.PwOk;
        }

        public override bool CanExecute(object parameter)
        {
            return true;
        }
    }
}